#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KWallet integration for Sign-on framework
Name:           signon-kwallet-extension
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

# KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Wallet) >= 5.0

BuildRequires:  pkgconfig(SignOnExtension)

%description
KWallet integration for Sign-on framework.

#------------------------------------------------------------------------------

%define keyringkwallet_major 15
%define libkeyringkwallet %mklibname keyring-kwallet %{keyringkwallet_major}

%package -n %libkeyringkwallet
Summary: Runtime library for kwallet
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %libkeyringkwallet
Runtime library for kwallet.

%files -n %libkeyringkwallet
%_kf5_libdir/signon/extensions/libkeyring-kwallet.so

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090176
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076918
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072108
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067425
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061489
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050752
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047405
- New version 16.08.0

* Fri Jul 15 2016 daviddavid <daviddavid> 16.04.3-2.mga6
+ Revision: 1042216
- provides signon-kwallet-extension (easier to find it)

* Sun Jul 10 2016 daviddavid <daviddavid> 16.04.3-1.mga6
+ Revision: 1040527
- new version: 16.04.3

* Mon May 16 2016 daviddavid <daviddavid> 16.04.1-1.mga6
+ Revision: 1016135
- New version 16.04.1

* Sun May 01 2016 daviddavid <daviddavid> 16.04.0-1.mga6
+ Revision: 1008439
- New version 16.04.0

* Sun Mar 20 2016 luigiwalser <luigiwalser> 15.12.3-1.mga6
+ Revision: 993193
- 15.12.3

  + neoclust <neoclust>
    - New version 15.12.2
    - New version 15.08.3

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Oct 17 2015 filipesaraiva <filipesaraiva> 15.08.2-2.mga6
+ Revision: 892436
- Change 'cantor' reference to 'kwallet'

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890669
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880469
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865987
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863694
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862223
- New version 15.07.90

* Sat Jul 25 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 857719
- imported package signon-kwallet-extension

